routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::view('test', 'dashboard');

Route::get('/', 'OrderController@index')->name('home');
Route::post('/order', 'OrderController@store')->name('order.store');
Route::resource('invoice', 'InvoiceController', ['only' => ['create', 'store']]);

Route::group(['middleware' => 'auth'], function () {
    //adding this
    Route::get('/dashboard', 'DashboardController@index')->name('dashboard');

    Route::resource('dashboard', 'DashboardController', ['only' => ['index']]);
    Route::resource('videos', 'VideosController', ['only' => ['show']]);

    Route::get('users/edit', 'UsersController@edit')->name('user.edit');
    Route::put('users', 'UsersController@update');

    Route::resource('add-ons', 'AddOnController')->only('index', 'store')->middleware('add-ons');
    Route::resource('watches', 'WatchesController')->only('store')->middleware('can:upgrade');
});

Route::get('promotions/{code}', 'CouponController@show');

Auth::routes();
Route::get('logout', 'Auth\LoginController@logout')->name('logout');

resources/views/partials/dashboard-nav.blade.php
<div class="lg:block lg:h-full lg:flex lg:flex-col lg:justify-between hidden">
    <nav class="md:flex lg:block lg:overflow-y-auto">
    
    @foreach($lessons as $lesson)
            @php
                $current_lesson = $videos[$lesson->id]->contains('id', $now_playing->id);
            @endphp
            <details @if($current_lesson)open="open"@endif>
                <summary
                        @if($videos[$lesson->id]->pluck('id')->diff($watched)->isEmpty())
                        class="relative border-l-2 border-green-300 outline-none px-4 pl-3 py-3 transition-fast relative block text-gray-300 font-medium"
                        @elseif($current_lesson)
                        class="relative border-l-2 border-yellow-500 outline-none px-4 pl-3 py-3 transition-fast relative block text-gray-300 font-medium"
                        @else
                        class="relative outline-none px-4 py-3 transition-fast relative block hover:translate-r-2px hover:text-gray-300 text-gray-500 font-medium"
                        @endif
                >{{ $lesson->name }} @cannot('access', $lesson)<span class="absolute right-0 top-0 block rounded-full bg-yellow-400 text-yellow-900 uppercase px-2 py-1 mr-3 mt-3 text-tiny font-bold">{{ Gate::allows('video-course') ? 'Upgrade' : 'Buy' }}</span>@endif</summary>

                <div class="bg-gray-900">
                    @foreach($videos[$lesson->id] as $video)
                        @can('access', $lesson)
                        <a href="{{ route('videos.show', $video->id) }}"
                            @if($video->id === $now_playing->id)
                           class="border-l-2 border-yellow-500 block px-6 py-2 text-sm font-semibold bg-gray-700 text-white"
                            @elseif($watched->contains($video->id))
                           class="border-l-2 border-green-300 block px-6 pl-5 py-2 text-sm font-semibold text-gray-700 hover:text-gray-500"
                            @else
                           class="border-l-2 border-gray-700 block px-6 py-2 text-sm font-semibold text-gray-500 hover:text-white"
                            @endif
                        >{{ $video->title }}</a>
                        @else
                        <span class="border-l-2 border-gray-700 block px-6 py-2 text-sm font-semibold text-gray-700">{{ $video->title }}</span>
                        @endif
                    @endforeach
                </div>
            </details>
        @endforeach
    </nav>

    @if (Gate::allows('upgrade'))
    <div class="bg-gray-900 px-4 py-4 sm:text-right">
        <button class="block w-full sm:w-auto sm:inline-block bg-teal-200 hover:bg-teal-300 font-semibold text-green-900 px-4 py-2 rounded-lg lg:block lg:w-full">{{ Gate::allows('video-course') ? 'Upgrade' : 'Purchase' }} Package</button>
    </div>
    @endif
</div>

resources/views/partials/error.blade.php
@if (count($errors) || Session::has('error'))
    <div class="alert alert-danger">

        @if (Session::has('error'))
            @include(session('error.template'), (array)session('error.data'))
        @else
            <p><strong>Whoops!</strong> There were some problems with your input.</p>
        @endif

        @if (count($errors))
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
        @endif
    </div>
@endif

resources/views/partials/footer.blade.php
@stack('javascript')

resources/views/partials/header.blade.php
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    @if ($noindex)
        <meta name="robots" content="noindex, nofollow">
    @endif
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ $title ?? 'Confident Laravel - from no tests to confidently tested' }}</title>

    <meta name="description" content="This 32 video course provides a step by step guide starting from no tests to a confidently tested Laravel applications.">
    <meta name="keywords" content="test,tests,testing,laravel,laravel tests,test laravel,testing laravel,laravel testing,laravel application,application,videos,course,video course,guide">

    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:site" content="@gonedark" />
    <meta name="twitter:title" content="Confident Laravel - from no tests to tested" />
    <meta name="twitter:description" content="A step by step guide to testing your Laravel applications." />
    <meta name="twitter:image" content="https://confidentlaravel.com/img/confident-laravel-testing-video-course-soon-ad.png" />

    <meta property="og:url" content="https://confidentlaravel.com" />
    <meta property="og:type" content="product" />
    <meta property="og:title" content="Confident Laravel - from no tests to tested" />
    <meta property="og:description" content="A step by step guide to testing your Laravel applications." />
    <meta property="og:image" content="https://confidentlaravel.com/img/confident-laravel-testing-video-course-soon-ad.png" />

    <link href="https://fonts.googleapis.com/css?family=Oxygen+Mono" rel="stylesheet">
    <link href="{{ mix('css/app.css') }}" rel="stylesheet">

@if (App::environment('production'))
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-144936503-1"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'UA-144936503-1');
    </script>
@endif

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
</head>